com.amazonaws.services.workspaces.model

## Class DescribeWorkspaceDirectoriesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.workspaces.model.DescribeWorkspaceDirectoriesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DescribeWorkspaceDirectoriesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Contains the inputs for the DescribeWorkspaceDirectories operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DescribeWorkspaceDirectoriesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeWorkspaceDirectoriesRequest` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getDirectoryIds()` An array of strings that contains the directory identifiers to retrieve information for.
`String` `getNextToken()` The `NextToken` value from a previous call to this operation.
`int` `hashCode()`
`void` `setDirectoryIds(Collection<String> directoryIds)` An array of strings that contains the directory identifiers to retrieve information for.
`void` `setNextToken(String nextToken)` The `NextToken` value from a previous call to this operation.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeWorkspaceDirectoriesRequest` `withDirectoryIds(Collection<String> directoryIds)` An array of strings that contains the directory identifiers to retrieve information for.
`DescribeWorkspaceDirectoriesRequest` `withDirectoryIds(String... directoryIds)` An array of strings that contains the directory identifiers to retrieve information for.
`DescribeWorkspaceDirectoriesRequest` `withNextToken(String nextToken)` The `NextToken` value from a previous call to this operation.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeWorkspaceDirectoriesRequest

    public DescribeWorkspaceDirectoriesRequest()

### Method Detail

#### getDirectoryIds

    public List<String> getDirectoryIds()

An array of strings that contains the directory identifiers to retrieve information for. If this member is null, all directories are retrieved.

Returns:
  An array of strings that contains the directory identifiers to retrieve information for. If this member is null, all directories are retrieved.

#### setDirectoryIds

    public void setDirectoryIds(Collection<String> directoryIds)

An array of strings that contains the directory identifiers to retrieve information for. If this member is null, all directories are retrieved.

Parameters:
  `directoryIds` - An array of strings that contains the directory identifiers to retrieve information for. If this member is null, all directories are retrieved.

#### withDirectoryIds

    public DescribeWorkspaceDirectoriesRequest withDirectoryIds(String... directoryIds)

An array of strings that contains the directory identifiers to retrieve information for. If this member is null, all directories are retrieved.

NOTE: This method appends the values to the existing list (if any). Use `setDirectoryIds(java.util.Collection)` or `withDirectoryIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `directoryIds` - An array of strings that contains the directory identifiers to retrieve information for. If this member is null, all directories are retrieved.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDirectoryIds

    public DescribeWorkspaceDirectoriesRequest withDirectoryIds(Collection<String> directoryIds)

An array of strings that contains the directory identifiers to retrieve information for. If this member is null, all directories are retrieved.

Parameters:
  `directoryIds` - An array of strings that contains the directory identifiers to retrieve information for. If this member is null, all directories are retrieved.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

Parameters:
  `nextToken` - The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

#### getNextToken

    public String getNextToken()

The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

Returns:
  The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

#### withNextToken

    public DescribeWorkspaceDirectoriesRequest withNextToken(String nextToken)

The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

Parameters:
  `nextToken` - The `NextToken` value from a previous call to this operation. Pass null if this is the first call.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeWorkspaceDirectoriesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`